# VisionFive
## VisionFive hardware and softward resources
[VisionFive](https://rvspace.org/en/Product/VisionFive/Technical_Documents/VisionFive_Single_Board_Computer_Quick_Start_Guide) is a RISC-V single board computer based on the StarFive JH7100 SoC.

## How to get VisionFive?
  * Please follow the [Sales Registration Page](https://forum.rvspace.org/t/how-to-purchase-visionfive/37/4)

### Hardware
  TBD, we will release hardware design soon.

**正式发布之后补充**

### Software
  * [U-Boot](https://github.com/starfive-tech/u-boot)
  * [OpenSBI](https://github.com/starfive-tech/opensbi)
  * [secondBoot](https://github.com/starfive-tech/JH7100_secondBoot)
  * [ddrinit](https://github.com/starfive-tech/JH7100_ddrinit)
  * [StarFive Freelight U SDK](https://github.com/starfive-tech/freelight-u-sdk)
  * [Linux Kernel, current 5.15rc](https://github.com/starfive-tech/linux)
  * [Fedora RISC-V image](https://github.com/starfive-tech/Fedora_on_StarFive)
 
### Wiki and Tutorials
  * Please refer to [RVspace Wiki Page](https://rvspace.org/)

### Technical Documentation
 * [StarFive JH7100 SoC datasheet](https://github.com/starfive-tech/JH7100_Docs/blob/main/JH7100%20Data%20Sheet%20V01.01.04-EN%20(4-21-2021).pdf)
 * [SiFive U74 core manual](https://github.com/starfive-tech/JH7100_Docs/blob/main/vic_u7_manual_with_creativecommons.pdf)
 * [Memorandum - L2 Cache Coherence](https://github.com/starfive-tech/JH7100_Docs/blob/main/JH7100%20Cache%20Coherence%20V1.0.pdf)
 * [SiFive E24 core manual](https://github.com/starfive-tech/JH7100_Docs/blob/main/SiFive%20VIC_E24%20Manual.pdf)
 * [SiFive E24 user guide](https://github.com/starfive-tech/JH7100_Docs/blob/main/SiFive%20VIC_E24%20User%20Guide.pdf)
 * [StarFive JH7100 SoC Boot User Guide](https://github.com/starfive-tech/JH7100_Docs/blob/main/JH7100%20SoC%20Boot%20User%20Guide-V01(2021-6-7).pdf)

### Community
  * [RVSpace.org](https://rvspace.org), forum for discuss RISC-V and VisionFive.

### License
  * [CERN-OHL-P (permissive)](https://ohwr.org/cern_ohl_p_v2.txt)
  * More information on [CERN Open Hardware License (OHL) v2](https://ohwr.org/project/cernohl/wikis/home)
